Lists stores.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/stores
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand, which owns this collection of stores. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of menus to return. The service may return fewer than this value. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. Filter expression based on AIP-160. Allows filtering stores based on various attributes. Supported Filter Fields:
Logical Operators: Conditions can be combined using |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListStores.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"stores": [
{
object ( |
| Fields | |
|---|---|
stores[] |
The stores from the specified collection. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.